Bug 734532 - group search for a group with a specific name fails with "IllegalArgumentException: PageList was passed an empty collection but 'totalSize' was 1, PageControl[page=0, size=75]" error
group search for a group with a specific name fails with "IllegalArgumentExce...
Status: CLOSED DEFERRED
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon3 rhq41-ui
  Show dependency treegraph
 
Reported: 2011-08-30 13:23 EDT by Ian Springer
Modified: 2013-08-05 20:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-27 10:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (53.93 KB, image/png)
2011-09-23 09:06 EDT, Venkat
no flags Details

  None (edit)
Description Ian Springer 2011-08-30 13:23:34 EDT
When I search for the following expression on the compatible groups list view:

groupCategory=compatible "DynaGroup - compat groups ( PerfTest,service-d-metrics )"

*in the case where there is indeed a compat group named "DynaGroup - compat groups ( PerfTest,service-d-metrics )"*, I get the following error:

Message  : Failed to load group composite data
Severity :	
Error
	
Time :	
Tuesday, August 30, 2011 1:14:12 PM Etc/GMT+4
Detail :	
java.lang.RuntimeException:[1314724452425] javax.ejb.EJBException:java.lang.IllegalArgumentException: PageList was passed an empty collection but 'totalSize' was 1, PageControl[page=0, size=75] -> java.lang.IllegalArgumentException:PageList was passed an empty collection but 'totalSize' was 1, PageControl[page=0, size=75]
--- STACK TRACE FOLLOWS ---
[1314724452425] javax.ejb.EJBException:java.lang.IllegalArgumentException: PageList was passed an empty collection but 'totalSize' was 1, PageControl[page=0, size=75] -> java.lang.IllegalArgumentException:PageList was passed an empty collection but 'totalSize' was 1, PageControl[page=0, size=75]
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator$CollectorMoz_collect__Lcom_google_gwt_core_client_JsArrayString_2(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator_createStackTrace__Lcom_google_gwt_core_client_JsArrayString_2(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator$Collector_fillInStackTrace__Ljava_lang_Throwable_2V(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_StackTraceCreator_fillInStackTrace__Ljava_lang_Throwable_2V(Unknown source:0)
    at Unknown.java_lang_Throwable_fillInStackTrace__Ljava_lang_Throwable_2(Unknown source:0)
    at Unknown.java_lang_Throwable_$$init__Ljava_lang_Throwable_2V(Unknown source:0)
    at Unknown.java_lang_Throwable_$Throwable__Ljava_lang_Throwable_2Ljava_lang_Throwable_2(Unknown source:0)
    at Unknown.java_lang_Exception_$Exception__Ljava_lang_Exception_2Ljava_lang_Exception_2(Unknown source:0)
    at Unknown.java_lang_RuntimeException_$RuntimeException__Ljava_lang_RuntimeException_2Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.java_lang_RuntimeException_new__Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_core_java_lang_RuntimeException_1FieldSerializer_instantiate__Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase_instantiate__Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_ClientSerializationStreamReader_deserialize__Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_readObject__Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)



Note, I've only seen the exception when searching for dynagroup-backed compat groups, so it may be specific to them, or it could be some character in the group name that needs to be escaped.
Comment 1 Jay Shaughnessy 2011-08-30 15:39:18 EDT
Weird, I failed to repro this using explicit naming and dynagroup generation.
Comment 2 Charles Crouch 2011-09-22 09:02:29 EDT
Can QE repro this?
Comment 3 Venkat 2011-09-23 09:04:37 EDT
Tested this on build#426

Created a dynagroup with Following details:

Name: DynaGroup - compat groups ( PerfTest,service-d-metrics )

Expression:
resource.type.plugin = RHQAgent
resource.type.name = RHQ Agent

Clicked on Save and Recalculate button. 

Navigated to the 'Inventory->Compatible' groups

Entered the following search criteria in search bar:

groupCategory=compatible "DynaGroup - compat groups (
PerfTest,service-d-metrics )"

It displays the search result as the screenshot attached. It does not display any exception.
Comment 4 Venkat 2011-09-23 09:06:18 EDT
Created attachment 524606 [details]
screenshot
Comment 5 Mike Foley 2011-09-27 10:37:00 EDT
tried to repro with daily RHQ build.  could not repro.  based on test results of jay, venkat (9/23), and my own results ... closing.  re-open if this happens again.
Comment 6 Ian Springer 2011-09-27 12:29:29 EDT
For the record, I'm not seeing this anymore either. Jay recently did some miscellaneous fixes to the search widget; it's possible this issue was fixed by one of them.

Note You need to log in before you can comment on or make changes to this bug.